Bug 174687

Summary: [patch] - update misc/gnuls to version 8.20
Product: Ports & Packages Reporter: cristianorolim
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description cristianorolim 2012-12-24 20:50:00 UTC
The attached patch updates misc/gnuls to version 8.20

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-24 20:50:08 UTC
Maintainer of misc/gnuls,

Please note that PR ports/174687 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174687

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-12-24 20:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Brian Clapper 2012-12-24 20:57:19 UTC
Approved.

-Brian

Brian Clapper, http://www.clapper.org/bmc/
I HATE arbitrary limits, especially when they're small.
        =E2=80=95 Stephen Savitzky
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-12-24 23:06:56 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter service freebsd_committer 2012-12-30 21:22:32 UTC
Author: pawel
Date: Sun Dec 30 21:22:25 2012
New Revision: 309693
URL: http://svnweb.freebsd.org/changeset/ports/309693

Log:
  up date to version 8.20
  
  PR:		ports/174687
  Submitted by:	Cristiano Rolim Pereira <cristianorolim@outlook.com>
  Approved by:	Brian Clapper <bmc@clapper.org> (maintainer)

Modified:
  head/misc/gnuls/Makefile
  head/misc/gnuls/distinfo

Modified: head/misc/gnuls/Makefile
==============================================================================
--- head/misc/gnuls/Makefile	Sun Dec 30 21:05:07 2012	(r309692)
+++ head/misc/gnuls/Makefile	Sun Dec 30 21:22:25 2012	(r309693)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	GNU colorized `ls'
-# Date created:				06 January 1996
-# Whom:					bmc@WillsCreek.COM
-#
+# Created by: bmc@WillsCreek.COM
 # $FreeBSD$
-#
 
 PORTNAME=	gnuls
-PORTVERSION=	8.12
+PORTVERSION=	8.20
 CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	coreutils
@@ -15,9 +11,15 @@ DISTNAME=	coreutils-${PORTVERSION}
 MAINTAINER=	bmc@clapper.org
 COMMENT=	GNU colorized 'ls'
 
-USE_XZ=		yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--disable-nls
+CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib" FORCE_UNSAFE_CONFIGURE=1
+CPPFLAGS+=	-I${LOCALBASE}/include
+
+USE_XZ=		yes
+USE_GMAKE=	yes
+USE_LDCONFIG=	yes
+USE_PERL5_BUILD=yes # Required for tests and man page generation
+
 MAN1=		gnuls.1 dircolors.1 dir.1 vdir.1
 
 PLIST_FILES=	bin/dir \

Modified: head/misc/gnuls/distinfo
==============================================================================
--- head/misc/gnuls/distinfo	Sun Dec 30 21:05:07 2012	(r309692)
+++ head/misc/gnuls/distinfo	Sun Dec 30 21:22:25 2012	(r309693)
@@ -1,2 +1,2 @@
-SHA256 (coreutils-8.12.tar.xz) = 1e3c0182cdd0042871741d694ae1166dd90eb9f03a16c0aac0a9072a7aa92faf
-SIZE (coreutils-8.12.tar.xz) = 4842776
+SHA256 (coreutils-8.20.tar.xz) = dbcb798764827a0f74be738662ecb516705cf520330cd3d7b2640fdffa499eb2
+SIZE (coreutils-8.20.tar.xz) = 5273788
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2012-12-30 21:22:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!